### Enumeration

# Qmi WdsRat3gpp2

since: 1.0

#### Declaration

    flags Qmi.WdsRat3gpp2

#### Description [src]

Flags specifying the 3GPP2-specific Radio Access Technology, when the data bearer network type is `QMI_WDS_NETWORK_TYPE_3GPP2`.

Available since: 1.0

#### Members

`QMI_WDS_RAT_3GPP2_NONE`

  Unknown, to be ignored.

  - Value: `0`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP2_CDMA1X`

  CDMA 1x.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP2_EVDO_REV0`

  EVDO Rev0.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP2_EVDO_REVA`

  EVDO RevA.

  - Value: `4`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP2_EVDO_REVB`

  EVDO RevB.

  - Value: `8`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP2_EHRPD`

  EHRPD. Since 1.18.

  - Value: `16`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP2_FMC`

  FMC. Since 1.18.

  - Value: `32`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP2_NULL_BEARER`

  No bearer.

  - Value: `32768`
  - Available since: 1.0

#### Type functions

###### qmi_wds_rat_3gpp2_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsRat3gpp2` in `mask`.

since: 1.0